=== modified file 'NEWS'
--- NEWS	2010-10-07 11:00:48 +0000
+++ NEWS	2010-10-07 12:45:51 +0000
@@ -43,6 +43,9 @@
   using this, make sure the process holding the lock really is dead.)
   (Martin Pool, #397315)
 
+* Don't force openssh to use protocol=2, since that is now the default.
+  (Neil Martinsen-Burrell, #561061)
+
 * Print junk rather than throwing a UnicodeDecodeError from ``bzr version-info``
   when using the rio format (with non-ascii information) on a non-utf-8 terminal.
   (Andrej A Antonov, #518609)

=== modified file 'bzrlib/tests/test_ssh_transport.py'
--- bzrlib/tests/test_ssh_transport.py	2010-09-28 01:09:30 +0000
+++ bzrlib/tests/test_ssh_transport.py	2010-10-07 12:45:51 +0000
@@ -167,7 +167,7 @@
             vendor._get_vendor_specific_argv(
                 "user", "host", 100, command=["bzr"]),
             ["ssh", "-oForwardX11=no", "-oForwardAgent=no",
-                "-oClearAllForwardings=yes", "-oProtocol=2",
+                "-oClearAllForwardings=yes",
                 "-oNoHostAuthenticationForLocalhost=yes",
                 "-p", "100",
                 "-l", "user",
@@ -180,7 +180,7 @@
             vendor._get_vendor_specific_argv(
                 "user", "host", 100, subsystem="sftp"),
             ["ssh", "-oForwardX11=no", "-oForwardAgent=no",
-                "-oClearAllForwardings=yes", "-oProtocol=2",
+                "-oClearAllForwardings=yes",
                 "-oNoHostAuthenticationForLocalhost=yes",
                 "-p", "100",
                 "-l", "user",

=== modified file 'bzrlib/transport/ssh.py'
--- bzrlib/transport/ssh.py	2010-10-02 01:48:34 +0000
+++ bzrlib/transport/ssh.py	2010-10-07 12:45:51 +0000
@@ -406,7 +406,7 @@
                                   command=None):
         args = [self.executable_path,
                 '-oForwardX11=no', '-oForwardAgent=no',
-                '-oClearAllForwardings=yes', '-oProtocol=2',
+                '-oClearAllForwardings=yes',
                 '-oNoHostAuthenticationForLocalhost=yes']
         if port is not None:
             args.extend(['-p', str(port)])

